# OpenShaderDesigner: ConstantValue< T, V > Struct Template Reference

Loading...
Searching...
No Matches
ConstantValue< T, V > Struct Template Reference

Compile-time constant value. More...

`#include <TemplateUtils.h>`

## Public Types

using | Type = T

## Public Member Functions

constexpr | operator Type () const noexcept
constexpr Type | operator() () const

## Static Public Attributes

static constexpr Type | Value = V

## Detailed Description

template<typename T, T V>
struct ConstantValue< T, V >

Compile-time constant value.

Template Parameters

  T | Type
  V | Value

The documentation for this struct was generated from the following file:

- Include/Utility/TemplateUtils.h